<?php
namespace Sargilla\FlatLab\Seeds;

use App\User;
use Illuminate\Database\Seeder;

class UsersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        User::truncate();
        
        $user1 = User::create([
        	'name'=>'Santiago Argilla',
        	'email'=>'sargilla@gmail.com',
        	'password'=>'$2y$10$zsy6ncNm0Qwwa45A1IH/gebY.bDcGWVCX0hs3aSmdQXEjKQIJzTfO',
            'settings' => '{}'
        ]);

        $user2 = User::create([
            'name'=>'Mario Figge',
            'email'=>'mario@3tristestigres.com',
            'password'=>'$2y$10$zsy6ncNm0Qwwa45A1IH/gebY.bDcGWVCX0hs3aSmdQXEjKQIJzTfO',
            'settings' => '{}'
        ]);
      //  dd($user1);

        $user1->assignRole('Administrador');
        $user2->assignRole('Administrador');
    }
}
